Cancel Mobility Groups Migrations

Cancel Mobility Groups Migrations
Cancel Mobility Group Migrations

This operation will stop all the running migrations specified in mobility groups configuration.

Request
URI
POST
https://{server}/hybridity/api/mobility/groups/cancel
COPY
Request Body

Cancel Mobility Group Migration API Request Body

mobilityGroupsOperationsRequest of type(s) application/json
Required
{
    "items": [
        {
            "migrationGroupId": "string"
        }
    ]
}
array of object
items
Optional

items

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns mobilityGroupsOperationsResponse of type(s) application/json
{
    "items": [
        {
            "migrationGroupId": "string",
            "name": "string",
            "state": "string",
            "lastUpdated": 0,
            "migrations": [
                {
                    "migrationId": "string",
                    "migrationGroupId": "string",
                    "entityId": "string",
                    "endpointId": "string",
                    "computeResourceId": "string",
                    "operationType": "string",
                    "errors": [
                        {
                            "code": "string",
                            "message": "string"
                        }
                    ],
                    "warnings": [
                        {
                            "message": "string"
                        }
                    ]
                }
            ],
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
items
Optional

items


400

Bad Request

Returns mobilityGroupsOperationsResponse of type(s) application/json
{
    "items": [
        {
            "migrationGroupId": "string",
            "name": "string",
            "state": "string",
            "lastUpdated": 0,
            "migrations": [
                {
                    "migrationId": "string",
                    "migrationGroupId": "string",
                    "entityId": "string",
                    "endpointId": "string",
                    "computeResourceId": "string",
                    "operationType": "string",
                    "errors": [
                        {
                            "code": "string",
                            "message": "string"
                        }
                    ],
                    "warnings": [
                        {
                            "message": "string"
                        }
                    ]
                }
            ],
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
items
Optional

items


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/mobility/groups/cancel